Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 389)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 392)
@@ -1,191 +1,12 @@
 New:
 ---
-
-Adapted for machine lck
-(mrun, mbuild, subjob)
-
-bc_lr/bc_ns  in most subroutines replaced by LOGICAL variables bc_lr_cyc,
-bc_ns_cyc for speed optimization
-(check_parameters, diffusion_u, diffusion_v, diffusion_w, modules)
-
-Additional timestep criterion in case of simulations with plant canopy (timestep)
-
-Check for illegal entries in section_xy|xz|yz that exceed nz+1|ny+1|nx+1 
-(check_parameters)
-
-Clipping of dvrp output implemented. Default colourtable for particles
-implemented, particle attributes (color, dvrp_size) can be set with new
-parameters particle_color, particle_dvrpsize, color_interval,
-dvrpsize_interval (init_dvrp, data_output_dvrp, modules, user_data_output_dvrp).
-Slicer attributes (dvrp) are set with new routine set_slicer_attributes_dvrp
-and are controlled with existing parameters slicer_range_limits.
-(set_slicer_attributes_dvrp)
-
-Ocean atmosphere coupling allows to use independent precursor runs in order
-to account for different spin-up times. The time when coupling has to be
-started is given by new inipar parameter coupling_start_time. The precursor
-ocean run has to be started using new mrun option "-y" in order to add
-appendix "_O" to all output files.
-(check_for_restart, check_parameters, data_output_2d, data_output_3d,
-data_output_profiles, data_output_ptseries, data_output_spectra,
-data_output_tseries, header, init_coupling, modules, mrun,
-parin, read_var_list, surface_coupler, time_integration, write_var_list)
-
-Polygon reduction for topography and ground plate isosurface. Reduction level
-for buildings can be chosen with parameter cluster_size. (init_dvrp)
-
-External pressure gradient (check_parameters, header, init_3d_model, modules, 
-parin, prognostic_equations, read_var_list, write_var_list)
-
-New topography case 'single_street_canyon' (header, init_grid, modules, parin, 
-read_var_list, user_check_parameters, user_header, user_init_grid, write_var_list)
-
-Option to predefine a target bulk velocity for conserve_volume_flow 
-(check_parameters, header, init_3d_model, modules, parin, read_var_list, 
-write_var_list)
-
-Option for user defined 2D data output in xy cross sections at z=nzb+1
-(data_output_2d, user_data_output_2d)
-
-xy cross section output of surface heatfluxes (latent, sensible) 
-(average_3d_data, check_parameters, data_output_2d, modules, read_3d_binary, 
-sum_up_3d_data, write_3d_binary)
-
-
-average_3d_data, check_for_restart, check_parameters, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, init_coupling, init_dvrp, init_grid, init_3d_model, header, mbuild, modules, mrun, package_parin, parin, prognostic_equations, read_3d_binary, read_var_list, subjob, surface_coupler, timestep, time_integration, user_check_parameters, user_data_output_2d, user_data_output_dvrp, user_header, user_init_grid, write_3d_binary, write_var_list
-
-New: set_particle_attributes, set_slicer_attributes_dvrp
 
 
 Changed:
 -------
-__lcmuk changed to __lc to avoid problems with Intel compiler on sgi-ice
-(poisfft)
-
-For extended NetCDF files, the updated title attribute includes an update of
-time_average_text where appropriate. (netcdf)
-
-In case of restart runs without extension, initial profiles are not written 
-to NetCDF-file anymore. (data_output_profiles, modules, read_var_list, write_var_list)
-
-Small change in formatting of the message handling routine concering the output in the
-job protocoll. (message)
-
-initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill', now 
-independent of turbulent_inflow (check_parameters, header, init_3d_model)
-
-2 NetCDF error numbers changed. (data_output_3d)
-
-A Link to the website appendix_a.html is printed for further information
-about the possible errors. (message)
-
-Temperature gradient criterion for estimating the boundary layer height
-replaced by the gradient criterion of Sullivan et al. (1998). (flow_statistics)
-
-NetCDF unit attribute in timeseries output in case of statistic regions added
-(netcdf)
-
-Output of NetCDF messages with aid of message handling routine.
-(check_open, close_file, data_output_2d, data_output_3d, 
-data_output_profiles, data_output_ptseries, data_output_spectra, 
-data_output_tseries, netcdf, output_particles_netcdf)
-
-Output of messages replaced by message handling routine.
-(advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, 
-check_open, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp,
-data_output_profiles, data_output_spectra, fft_xy, flow_statistics, header, 
-init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, 
-netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, 
-read_var_list, surface_coupler, temperton_fft, timestep, user_actions, 
-user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, 
-user_parin, user_read_restart_data, user_spectra )
-
-Maximum number of tails is calculated from maximum number of particles and
-skip_particles_for_tail (init_particles)
-
-Value of vertical_particle_advection may differ for each particle group
-(advec_particles, header, modules) 
-
-First constant in array den also defined as type double. (eqn_state_seawater)
-
-Parameter dvrp_psize moved from particles_par to dvrp_graphics_par. (package_parin)
-
-topography_grid_convention moved from userpar to inipar (check_parameters,
-header, parin, read_var_list, user_check_parameters, user_header, 
-user_init_grid, user_parin, write_var_list)
-
-Default value of grid_matching changed to strict.
-
-Adjustments for runs on lcxt4 (necessary due to an software update on CRAY) and 
-for coupled runs on ibmy (mrun, subjob)
-
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, message, mrun, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, subjob, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
 Errors:
 ------
-Bugfix: Initial hydrostatic pressure profile in case of ocean runs is now
-calculated in 5 iteration steps. (init_ocean)
 
-Bugfix: wrong sign in buoyancy production of ocean part in case of not using
-the reference density (only in 3D routine production_e) (production_e)
 
-Bugfix: output of averaged 2d/3d quantities requires that an avaraging
-interval has been set, respective error message is included (check_parameters)
-
-Bugfix: Output on unit 14 only if requested by write_binary.
-(user_last_actions)
-
-Bugfix to avoid zero division by km_neutral (production_e)
-
-Bugfix for extended NetCDF files: In order to avoid 'data mode' errors if 
-updated attributes are larger than their original size, NF90_PUT_ATT is called
-in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a
-possible performance loss; an alternative strategy would be to ensure equal
-attribute size in a job chain. (netcdf)
-
-Bugfix: correction of initial volume flow for non-flat topography (init_3d_model)
-Bugfix: zero initialization of arrays within buildings for 'cyclic_fill' (init_3d_model)
-
-Bugfix: to_be_resorted => s_av for time-averaged scalars (data_output_2d, data_output_3d)
-
-Bugfix: error in formatting the output (message)
-
-Bugfix: avoid that ngp_2dh_s_inner becomes zero (init_3_model)
-
-Typographical error: unit of wpt in dots_unit (modules)
-
-Bugfix: error in check, if particles moved further than one subdomain length.
-This check must not be applied for newly released particles. (advec_particles)
-
-Bugfix: several tail counters are initialized, particle_tail_coordinates is
-only written to file if its third index is > 0, arrays for tails are allocated
-with a minimum size of 10 tails if there is no tail initially (init_particles,
-advec_particles)
-
-Bugfix: pressure included for profile output (check_parameters)
-
-Bugfix: Type of count and count_rate changed to default INTEGER on NEC machines
-(cpu_log)
-
-Bugfix: output if particle time series only if particle advection is switched
-on. (time_integration)
-
-Bugfix: qsws was calculated in case of constant heatflux = .FALSE. (prandtl_fluxes)
-
-Bugfix: averaging along z is not allowed for 2d quantities (e.g. u* and z0) (data_output_2d)
-
-Typographical errors (netcdf)
-
-If the inversion height calculated by the prerun is zero, inflow_damping_height 
-must be explicitly specified (init_3d_model)
-
-Small bugfix concerning 3d 64bit netcdf output format (header)
-
-Bugfix: dt_fixed removed from the restart file, because otherwise, no change
-from a fixed to a variable timestep would be possible in restart runs.
-(read_var_list, write_var_list)
-
-Bugfix: initial setting of time_coupling in coupled restart runs (time_integration)
-
-advec_particles, check_parameters, cpu_log, data_output_2d, data_output_3d, header, init_3d_model, init_particles, init_ocean, modules, netcdf, prandtl_fluxes, production_e, read_var_list, time_integration, user_last_actions, write_var_list
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 389)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! TEST: PRINT statements on unit 9 (commented out)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 336 2009-06-10 11:19:35Z raasch
 ! Particle attributes are set with new routine set_particle_attributes.
 ! Vertical particle advection depends on the particle group.
@@ -12,9 +19,4 @@
 ! Bugfix: several tail counters are initialized, particle_tail_coordinates is
 ! only written to file if its third index is > 0
-! TEST: PRINT statements on unit 9 (commented out)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 212 2008-11-11 09:09:24Z raasch
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 389)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 392)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 247 2009-02-27 14:01:30Z heinze
+! Output of messages replaced by message handling routine
 !
 ! 216 2008-11-25 07:12:43Z raasch
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 389)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Added calculation of shf* and qsws*
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 367 2009-08-25 08:35:52Z maronga
+! Added calculation of shf* and qsws*
 !
 ! 96 2007-06-04 08:07:41Z raasch
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 389)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 392)
@@ -4,10 +4,12 @@
 ! Currrent revisions:
 ! -----------------
-! Output of messages replaced by message handling routine
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 247 2009-02-27 14:01:30Z heinze
+! Output of messages replaced by message handling routine
 !
 ! 132 2007-11-20 09:46:11Z letzel
Index: palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- palm/trunk/SOURCE/calc_spectra.f90	(revision 389)
+++ palm/trunk/SOURCE/calc_spectra.f90	(revision 392)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine
 !
 ! 225 2009-01-26 14:44:20Z raasch
Index: palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- palm/trunk/SOURCE/check_for_restart.f90	(revision 389)
+++ palm/trunk/SOURCE/check_for_restart.f90	(revision 392)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Coupling with independent precursor runs.
-! Output of messages replaced by message handling routine
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 291 2009-04-16 12:07:26Z raasch
+! Coupling with independent precursor runs.
+! Output of messages replaced by message handling routine
 !
 ! 222 2009-01-12 16:04:16Z letzel
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 389)
+++ palm/trunk/SOURCE/check_open.f90	(revision 392)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output of NetCDF messages with aid of message handling routine.
-! Output of messages replaced by message handling routine
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 277 2009-03-31 09:13:47Z heinze
+! Output of NetCDF messages with aid of message handling routine.
+! Output of messages replaced by message handling routine
 !
 ! 146 2008-01-17 13:08:34Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 389)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
 ! Check profiles fpr prho and hyp.
 ! Bugfix: output of averaged 2d/3d quantities requires that an avaraging
@@ -17,8 +24,4 @@
 ! 'single_street_canyon'
 ! Added shf* and qsws* to the list of available output data
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 222 2009-01-12 16:04:16Z letzel
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 389)
+++ palm/trunk/SOURCE/close_file.f90	(revision 392)
@@ -4,9 +4,14 @@
 ! Current revisions:
 ! -----------------
-! Output of NetCDF messages with aid of message handling routine.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 263 2009-03-18 12:26:04Z heinze
+! Output of NetCDF messages with aid of message handling routine.
+!
+! Feb. 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 389)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 392)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
+! 
 !
 !
@@ -10,4 +10,7 @@
 ! -----------------
 ! $Id$
+!
+! 254 2009-03-05 15:33:42Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/cpu_log.f90
===================================================================
--- palm/trunk/SOURCE/cpu_log.f90	(revision 389)
+++ palm/trunk/SOURCE/cpu_log.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-! Type of count and count_rate changed to default INTEGER on NEC machines
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
+! Type of count and count_rate changed to default INTEGER on NEC machines
 !
 ! 225 2009-01-26 14:44:20Z raasch
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 389)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 367 2009-08-25 08:35:52Z maronga
 ! simulated_time in NetCDF output replaced by time_since_reference_point.
 ! Output of NetCDF messages with aid of message handling routine.
@@ -11,8 +18,4 @@
 ! Bugfix: to_be_resorted => s_av for time-averaged scalars
 ! Calculation of shf* and qsws* added.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 215 2008-11-18 09:54:31Z raasch
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 389)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 392)
@@ -4,13 +4,15 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 355 2009-07-17 01:03:01Z letzel
 ! simulated_time in NetCDF output replaced by time_since_reference_point.
 ! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
 ! Bugfix: to_be_resorted => s_av for time-averaged scalars
-!
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 96 2007-06-04 08:07:41Z raasch
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 389)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 392)
@@ -32,12 +32,14 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 287 2009-04-09 08:59:36Z raasch
 ! Clipping of dvr-output implemented, using a default colourtable for
 ! particles,
 ! output of messages replaced by message handling routine.
-! TEST: different colours for isosurfaces
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 210 2008-11-06 08:54:02Z raasch
@@ -467,6 +469,5 @@
 
           IF ( mode_dvrp(m)(1:10) == 'isosurface' )  THEN
-             WRITE(9,*) '#8'
-             CALL local_flush( 9 )
+
 !
 !--          DVRP-Calls for plotting isosurfaces:
@@ -485,21 +486,14 @@
              CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
                              cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
-             WRITE(9,*) '#8.2'
-             CALL local_flush( 9 )
 
              c_size_x = vc_size_x;  c_size_y = vc_size_y;  c_size_z = vc_size_z
              CALL DVRP_CLUSTER_SIZE( m-1, c_size_x, c_size_y, c_size_z )
-             WRITE(9,*) '#8.3'
-             CALL local_flush( 9 )
 
              c_mode   = vc_mode 
              CALL DVRP_CLUSTERING_MODE( m-1, c_mode )
-             WRITE(9,*) '#8.4'
-             CALL local_flush( 9 )
 
              gradient_normals = vc_gradient_normals
              CALL DVRP_GRADIENTNORMALS( m-1, gradient_normals )
-             WRITE(9,*) '#8.5'
-             CALL local_flush( 9 )
+
 !
 !--          A seperate procedure for setting vc_alpha will be in the next
@@ -507,6 +501,4 @@
              tmp_c_alpha = vc_alpha 
              CALL DVRP_THRESHOLD( -(m-1)-1, tmp_c_alpha )
-             WRITE(9,*) '#8.6'
-             CALL local_flush( 9 )
 
              IF ( dvrp_overlap )  THEN
@@ -515,25 +507,13 @@
                 tmp_th = 1.0   ! nothing is plotted because array values are 0
              ENDIF
-             WRITE(9,*) '#8.7'
-             CALL local_flush( 9 )
 
              CALL DVRP_THRESHOLD( m-1, tmp_th )
-             WRITE(9,*) '#8.8'
-             WRITE(9,*) 'nxl_dvrp=',nxl_dvrp, ' nxl=',nxl
-             WRITE(9,*) 'nxr_dvrp=',nxr_dvrp, ' nxr=',nxr
-             WRITE(9,*) 'nys_dvrp=',nys_dvrp, ' nys=',nys
-             WRITE(9,*) 'nyn_dvrp=',nyn_dvrp, ' nyn=',nyn
-             CALL local_flush( 9 )
+
              CALL DVRP_VISUALIZE( m-1, 21, dvrp_filecount )
-             WRITE(9,*) '#8.9'
-             CALL local_flush( 9 )
 
              CALL cpu_log( log_point_s(26), 'dvrp_isosurface', 'stop' )
-                      WRITE(9,*) '#9'
-                      CALL local_flush( 9 )
 
           ELSEIF ( mode_dvrp(m)(1:6) == 'slicer' )  THEN
-                      WRITE(9,*) '#10'
-                      CALL local_flush( 9 )
+
 !
 !--          DVRP-Calls for plotting slicers:
@@ -572,18 +552,8 @@
              tmp_pos = slicer_position
              CALL DVRP_SLICER( m-1, section_mode, tmp_pos )
-!             tmp_pos = 1.0
-!             CALL DVRP_SLICER( m-1, 2, tmp_pos )
-             WRITE (9,*) 'nx_dvrp=', nx_dvrp
-             WRITE (9,*) 'ny_dvrp=', ny_dvrp
-             WRITE (9,*) 'nz_dvrp=', nz_dvrp
-             WRITE (9,*) 'section_mode=', section_mode
-             WRITE (9,*) 'slicer_position=', slicer_position
-             CALL local_flush( 9 )
 
              CALL DVRP_VISUALIZE( m-1, 2, dvrp_filecount )
 
              CALL cpu_log( log_point_s(27), 'dvrp_slicer', 'stop' )
-                      WRITE(9,*) '#11'
-                      CALL local_flush( 9 )
 
           ENDIF
@@ -591,6 +561,4 @@
           DEALLOCATE( local_pf )
 
-                      WRITE(9,*) '#12'
-                      CALL local_flush( 9 )
        ELSEIF ( mode_dvrp(m)(1:9) == 'pathlines' ) THEN
 
@@ -629,6 +597,4 @@
 
     ENDDO
-                      WRITE(9,*) '#13'
-                      CALL local_flush( 9 )
 
     dvrp_filecount = dvrp_filecount + 1
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 389)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 345 2009-07-01 14:37:56Z heinze
 ! In case of restart runs without extension, initial profiles are not written 
 ! to NetCDF-file anymore.
@@ -9,9 +16,4 @@
 ! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
-!
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 197 2008-09-16 15:29:03Z raasch
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 389)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 392)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
-! simulated_time in NetCDF output replaced by time_since_reference_point.
-! Output of NetCDF messages with aid of message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 291 2009-04-16 12:07:26Z raasch
+! simulated_time in NetCDF output replaced by time_since_reference_point.
+! Output of NetCDF messages with aid of message handling routine.
 !
 ! 60 2007-03-11 11:50:04Z raasch
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 389)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 392)
@@ -4,12 +4,14 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 291 2009-04-16 12:07:26Z raasch
 ! simulated_time in NetCDF output replaced by time_since_reference_point.
 ! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
-!
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 189 2008-08-13 17:09:26Z letzel
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 389)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 392)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
-! simulated_time in NetCDF output replaced by time_since_reference_point.
-! Output of NetCDF messages with aid of message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 291 2009-04-16 12:07:26Z raasch
+! simulated_time in NetCDF output replaced by time_since_reference_point.
+! Output of NetCDF messages with aid of message handling routine.
 !
 ! 48 2007-03-06 12:28:36Z raasch
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 389)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! bc_ns replaced by bc_ns_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 366 2009-08-25 08:06:27Z raasch
+! bc_ns replaced by bc_ns_cyc
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 389)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! bc_lr replaced by bc_lr_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 366 2009-08-25 08:06:27Z raasch
+! bc_lr replaced by bc_lr_cyc
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 389)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! bc_lr/bc_ns replaced by bc_lr_cyc/bc_ns_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 366 2009-08-25 08:06:27Z raasch
+! bc_lr/bc_ns replaced by bc_lr_cyc/bc_ns_cyc
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 389)
+++ palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Potential density is additionally calculated in eqn_state_seawater,
-! first constant in array den also defined as type double
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
+! Potential density is additionally calculated in eqn_state_seawater,
+! first constant in array den also defined as type double.
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy.f90	(revision 389)
+++ palm/trunk/SOURCE/fft_xy.f90	(revision 392)
@@ -4,10 +4,14 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
+!
+! Feb. 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 389)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
 ! Vertical profiles of potential density and hydrostatic pressure are
 ! calculated.
@@ -11,9 +18,4 @@
 ! replaced by the gradient criterion of Sullivan et al. (1998).
 ! Output of messages replaced by message handling routine.
-!
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 197 2008-09-16 15:29:03Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 389)
+++ palm/trunk/SOURCE/header.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 346 2009-07-06 10:13:41Z raasch
 ! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill'
 ! Coupling with independent precursor runs.
@@ -13,8 +20,4 @@
 ! topography_grid_convention moved from user_header
 ! small bugfix concerning 3d 64bit netcdf output format
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 206 2008-10-13 14:59:11Z raasch
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 389)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 392)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 254 2009-03-05 15:33:42Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 184 2008-08-04 15:53:39Z letzel
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 389)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 392)
@@ -7,4 +7,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
 ! Initialization of prho added.
 ! bugfix: correction of initial volume flow for non-flat topography
@@ -20,8 +27,4 @@
 ! If the inversion height calculated by the prerun is zero,
 ! inflow_damping_height must be explicitly specified.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 181 2008-07-30 07:07:47Z raasch
Index: palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- palm/trunk/SOURCE/init_coupling.f90	(revision 389)
+++ palm/trunk/SOURCE/init_coupling.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Coupling with independent precursor runs.
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 291 2009-04-16 12:07:26Z raasch
+! Coupling with independent precursor runs.
 !
 ! 222 2009-01-12 16:04:16Z letzel
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 389)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 284 2009-04-06 06:36:10Z raasch
 ! Definition of a colortable to be used for particles.
 ! Output names are changed: surface=groundplate, buildings=topography
@@ -13,8 +20,4 @@
 ! ToDo: checking of mode_dvrp for legal values is not correct
 ! Implementation of a MPI-1 coupling: __mpi2 adjustments for MPI_COMM_WORLD
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 210 2008-11-06 08:54:02Z raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 389)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-! new topography case 'single_street_canyon'
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
+! new topography case 'single_street_canyon'
 !
 ! 217 2008-12-09 18:00:48Z letzel
Index: palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- palm/trunk/SOURCE/init_ocean.f90	(revision 389)
+++ palm/trunk/SOURCE/init_ocean.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: Initial profiles of hydrostatic pressure and density are calculated
-! iteratively. First calculation of hyp(0) changed.
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
+! Bugfix: Initial profiles of hydrostatic pressure and density are calculated
+! iteratively. First calculation of hyp(0) changed.
 !
 ! 124 2007-10-19 15:47:46Z raasch
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 389)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 336 2009-06-10 11:19:35Z raasch
 ! Maximum number of tails is calculated from maximum number of particles and
 ! skip_particles_for_tail,
@@ -9,8 +16,4 @@
 ! Bugfix: arrays for tails are allocated with a minimum size of 10 tails if
 ! there is no tail initially
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 150 2008-02-29 08:19:58Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 389)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 392)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
+! 
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
@@ -11,4 +11,7 @@
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 206 2008-10-13 14:59:11Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 389)
+++ palm/trunk/SOURCE/modules.f90	(revision 392)
@@ -5,4 +5,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
 ! +prho, prho_1
 ! +bc_lr_cyc, bc_ns_cyc
@@ -22,8 +29,4 @@
 ! default value of grid_matching changed to strict
 ! +shf_av, qsws_av
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 217 2008-12-09 18:00:48Z letzel
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 389)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 392)
@@ -7,4 +7,11 @@
 ! Current revisions:
 ! ------------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 359 2009-08-19 16:56:44Z letzel
 ! For extended NetCDF files, the updated title attribute includes an update of
 ! time_average_text where appropriate.
@@ -19,9 +26,4 @@
 ! Output of messages replaced by message handling routine.
 ! Typographical errors fixed.
-!
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 216 2008-11-25 07:12:43Z raasch
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 389)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 336 2009-06-10 11:19:35Z raasch
 ! +clip_dvrp_*, cluster_size, color_interval, dvrpsize_interval,
 ! groundplate_color, isosurface_color, particle_color, particle_dvrpsize
@@ -9,8 +16,4 @@
 ! parameter dvrp_psize moved from particles_par to dvrp_graphics_par
 ! Variables for dvrp-mode pathlines added
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 210 2008-11-06 08:54:02Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 389)
+++ palm/trunk/SOURCE/parin.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 291 2009-04-16 12:07:26Z raasch
 ! +local_dvrserver_running in envpar
 ! Output of messages replaced by message handling routine.
@@ -10,8 +17,4 @@
 ! dp_external, dp_level_b, dp_smooth, dpdxy, u_bulk, v_bulk in inipar
 ! topography_grid_convention moved from userpar
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 197 2008-09-16 15:29:03Z raasch
Index: palm/trunk/SOURCE/plant_canopy_model.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model.f90	(revision 389)
+++ palm/trunk/SOURCE/plant_canopy_model.f90	(revision 392)
@@ -4,12 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
-!
-! Bugfix: remove IF statement in plant_canopy_model_ij
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 257 2009-03-11 15:17:42Z heinze
+! Output of messages replaced by message handling routine.
+! Bugfix: remove IF statement in plant_canopy_model_ij
 !
 ! 153 2008-03-19 09:41:30Z steinfeld
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 389)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! __lcmuk changed to __lc to avoid problems with Intel compiler on sgi-ice
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 377 2009-09-04 11:09:00Z raasch
+! __lcmuk changed to __lc to avoid problems with Intel compiler on sgi-ice
 !
 ! 164 2008-05-15 08:46:15Z raasch
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 389)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 392)
@@ -4,10 +4,14 @@
 ! Current revisions: 
 ! ----------------- 
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions: 
 ! ----------------- 
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
+!
+! Feb. 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 389)
+++ palm/trunk/SOURCE/poismg.f90	(revision 392)
@@ -8,10 +8,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 257 2009-03-11 15:17:42Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 181 2008-07-30 07:07:47Z raasch
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 389)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 392)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 315 2009-05-13 10:57:59Z raasch
 ! Saturation condition at (sea) surface is not used in precursor runs (only
 ! in the following coupled runs)
 ! Bugfix: qsws was calculated in case of constant heatflux = .FALSE.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 187 2008-08-06 16:25:09Z letzel
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 389)
+++ palm/trunk/SOURCE/production_e.f90	(revision 392)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
 ! Bugfix: wrong sign in buoyancy production of ocean part in case of not using
 !         the reference density (only in 3D routine production_e)
 ! Bugfix to avoid zero division by km_neutral
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 208 2008-10-20 06:02:59Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 389)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! prho is used instead of rho in diffusion_e,
-! external pressure gradient
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
+! prho is used instead of rho in diffusion_e,
+! external pressure gradient
 !
 ! 153 2008-03-19 09:41:30Z steinfeld
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 389)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-! +shf_av, qsws_av
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 367 2009-08-25 08:35:52Z maronga
+! Output of messages replaced by message handling routine.
+! +shf_av, qsws_av
 !
 ! 220 2008-12-18 07:00:36Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 389)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 345 2009-07-01 14:37:56Z heinze
 ! +output_for_t0 
 ! dt_fixed is read into a dummy variable.
@@ -11,8 +18,4 @@
 ! dp_external, dp_level_b, dp_smooth, dpdxy, run_coupled,
 ! time_since_reference_point, topography_grid_convention, u_bulk, v_bulk
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 216 2008-11-25 07:12:43Z raasch
Index: palm/trunk/SOURCE/set_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/set_particle_attributes.f90	(revision 389)
+++ palm/trunk/SOURCE/set_particle_attributes.f90	(revision 392)
@@ -10,5 +10,6 @@
 ! $Id$
 !
-! Initial version (2009/03/21)
+! 271 2009-03-26 00:47:14Z raasch
+! Initial version
 !
 ! Description:
Index: palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 389)
+++ palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 392)
@@ -10,5 +10,6 @@
 ! $Id$
 !
-! Initial version (2009/03/31)
+! 305 2009-04-27 11:58:42Z raasch
+! Initial version
 !
 ! Description:
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 389)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +shf*, qsws*
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 2009-08-25 08:35:52Z maronga
+! +shf*, qsws*
 !
 ! 96 2007-06-04 08:07:41Z raasch
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 389)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 392)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Coupling with independent precursor runs.
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 291 2009-04-16 12:07:26Z raasch
+! Coupling with independent precursor runs.
+! Output of messages replaced by message handling routine.
 !
 ! 206 2008-10-13 14:59:11Z raasch
Index: palm/trunk/SOURCE/temperton_fft.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft.f90	(revision 389)
+++ palm/trunk/SOURCE/temperton_fft.f90	(revision 392)
@@ -4,10 +4,14 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 258 2009-03-13 12:36:03Z heinze
+! Output of messages replaced by message handling routine.
+!
+! Feb. 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 389)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 392)
@@ -4,12 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 388 2009-09-23 09:40:33Z raasch
 ! Using prho instead of rho in diffusvities.
 ! Coupling with independent precursor runs.
 ! Bugfix: output of particle time series only if particle advection is switched
 !         on
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 151 2008-03-07 13:42:18Z raasch
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 389)
+++ palm/trunk/SOURCE/timestep.f90	(revision 392)
@@ -4,12 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Additional timestep criterion in case of simulations with plant canopy
-!
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 343 2009-06-24 12:59:09Z maronga
+! Additional timestep criterion in case of simulations with plant canopy
+! Output of messages replaced by message handling routine.
 !
 ! 222 2009-01-12 16:04:16Z letzel
Index: palm/trunk/SOURCE/user_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_actions.f90	(revision 389)
+++ palm/trunk/SOURCE/user_actions.f90	(revision 392)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 258 2009-03-13 12:36:03Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_2d.f90	(revision 389)
+++ palm/trunk/SOURCE/user_data_output_2d.f90	(revision 392)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 343 2009-06-24 12:59:09Z maronga
+! +dummy argument two_d
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 389)
+++ palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-! Clipping implemented
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 258 2009-03-13 12:36:03Z heinze
+! Output of messages replaced by message handling routine.
+! Clipping implemented
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_dvrp_coltab.f90
===================================================================
--- palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 389)
+++ palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 392)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 258 2009-03-13 12:36:03Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_header.f90
===================================================================
--- palm/trunk/SOURCE/user_header.f90	(revision 389)
+++ palm/trunk/SOURCE/user_header.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! new topography case 'single_street_canyon'
-! topography_grid_convention moved to header
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 256 2009-03-08 08:56:27Z letzel
+! new topography case 'single_street_canyon'
+! topography_grid_convention moved to header
 !
 ! 2008-12-09 18:00:48Z letzel
Index: palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- palm/trunk/SOURCE/user_init_grid.f90	(revision 389)
+++ palm/trunk/SOURCE/user_init_grid.f90	(revision 392)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-! add 'single_street_canyon' as standard topography case
-! -topography_grid_convention
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 258 2009-03-13 12:36:03Z heinze
+! Output of messages replaced by message handling routine.
+! add 'single_street_canyon' as standard topography case
+! -topography_grid_convention
 !
 ! 217 2008-12-09 18:00:48Z letzel
Index: palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 389)
+++ palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 392)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_last_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_last_actions.f90	(revision 389)
+++ palm/trunk/SOURCE/user_last_actions.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Output on unit 14 only if requested by write_binary
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 366 2009-08-25 08:06:27Z raasch
+! Output on unit 14 only if requested by write_binary
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_parin.f90
===================================================================
--- palm/trunk/SOURCE/user_parin.f90	(revision 389)
+++ palm/trunk/SOURCE/user_parin.f90	(revision 392)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-! topography_grid_convention moved to inipar
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
+! topography_grid_convention moved to inipar
 !
 ! 217 2008-12-09 18:00:48Z letzel
Index: palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- palm/trunk/SOURCE/user_read_restart_data.f90	(revision 389)
+++ palm/trunk/SOURCE/user_read_restart_data.f90	(revision 392)
@@ -7,10 +7,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 220 2008-12-18 07:00:36Z raasch
Index: palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- palm/trunk/SOURCE/user_spectra.f90	(revision 389)
+++ palm/trunk/SOURCE/user_spectra.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine. 
+!  
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 274 2009-03-26 15:11:21Z heinze
+! Output of messages replaced by message handling routine.
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 389)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 392)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +shf_av, qsws_av
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 367 2009-08-25 08:35:52Z maronga
+! +shf_av, qsws_av
 !
 ! 145 2008-01-09 08:17:38Z raasch
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 389)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 392)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 345 2009-07-01 14:37:56Z heinze
 ! +output_for_t0 
 ! bugfix: -dt_fixed, because otherwise, restart runs cannot change from a
@@ -11,8 +18,4 @@
 ! dp_external, dp_level_b, dp_smooth, dpdxy, run_coupled,
 ! time_since_reference_point, topography_grid_convention, u_bulk, v_bulk
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 153 2008-03-19 09:41:30Z steinfeld
